Create Refund
curl --request POST \
--url https://api.withflex.com/v1/refunds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refund": {
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"reason": "duplicate",
"metadata": {
"order_id": "8842",
"channel": "shopify"
}
}
}
'import requests
url = "https://api.withflex.com/v1/refunds"
payload = { "refund": {
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"reason": "duplicate",
"metadata": {
"order_id": "8842",
"channel": "shopify"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
refund: {
payment_intent_id: 'fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA',
amount: 2500,
reason: 'duplicate',
metadata: {order_id: '8842', channel: 'shopify'}
}
})
};
fetch('https://api.withflex.com/v1/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"refund": {
"refund_id": "fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"created_at": "2026-06-15T14:30:00Z",
"reason": "duplicate",
"status": "pending",
"test_mode": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reference_type": "acquirer_reference_number",
"reference_status": "available",
"items": [
{}
],
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Create Refund
Creates a refund for a previously succeeded payment intent and returns the resulting Refund.
The referenced payment intent must have a succeeded status. If amount is omitted, the full amount of the payment intent is refunded. A refund.created event is emitted, and the returned refund’s status may still be pending; subsequent status changes are delivered via webhooks.
POST
/
v1
/
refunds
Create Refund
Authorizations
Use a Bearer token to access this API.
Body
application/json
An envelope wrapping a single refund object.
An envelope wrapping a single refund object.
The refund object.
Show child attributes
Show child attributes
Example:
{
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"reason": "duplicate",
"metadata": { "order_id": "8842", "channel": "shopify" }
}
Response
An envelope wrapping a single refund object.
An envelope wrapping a single refund object.
The refund object.
Show child attributes
Show child attributes
Example:
{
"refund_id": "fre_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"created_at": "2026-06-15T14:30:00Z",
"reason": "duplicate",
"status": "pending",
"test_mode": false,
"metadata": { "order_id": "8842", "channel": "shopify" },
"reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reference_type": "acquirer_reference_number",
"reference_status": "available",
"items": [
{
"amount_refunded": 2500,
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
],
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"balance_transaction": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"failure_balance_transaction": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
⌘I